WIDTH = 200
HEIGHT = 120
SIZE_F = 3
TITLE = 'Quetzal'

FPS = 50

VEL_LIMIT_X = 120
VEL_LIMIT_Y = 180
JUMP_VEL = 150
JUMP_TIMER = 0.3
MOVE_ACC = 800
MOVE_F_VEL = 100

INVUL_TIMER = 2

GRAVITY = 600

FEATHER_VEL = [100, 150]
FEATHER_RESPAWN = [1, 0.5]
FEATHER_WIDTH = 20
FEATHER_HEIGHT = 6

BULLET_TIME = 7

TIMES_BACK = 2

TYPES = [{'name': 'feather-red'},
         {'name': 'feather-orange'},
         {'name': 'feather-blue'},
         {'name': 'feather-green'}]

# speed is per frame in this case
MOVING_BG = [{'fname': 'bg-trees.png', 'speed': 2},
             {'fname': 'bg-mountains.png', 'speed': 1}]

LIVES = 12

ENEMY_TYPES = [{'name': 'dog', 'shot': None, 'health': 10},
               {'name': 'soldier', 'shot': None, 'health': 20},
               {'name': 'crossbow', 'shot': [['arrow.png', (-100, 0)]],
                'health': 40},
               {'name': 'knight', 'shot': None, 'health': 60},
               {'name': 'gun', 'shot': [['bullet.png', (-200, 0)],
                                        ['bullet-up.png', (-100, -100)],
                                        ['bullet-down.png', (-100, 100)]],
                'health': 40},
               {'name': 'cannon', 'shot': [['cannonball.png', (-200, 0)]],
                'health': 60},
               {'name': 'bigcannon', 'shot': [['bigcannonball.png', (-250, 0)]],
                'health': 80}]

BULLET_TYPES = [
    {'fname': ['fireball1.png', 'fireball2.png', 'fireball3.png'],
     'rof': [0.35, 0.2, 0.1],
     'vel': [[(200, 0)],
             [(200, 0)],
             [(200, 0)]],
     'damage': [10, 20, 40]},
    {'fname': ['ray1.png', 'ray2.png', 'ray2.png'],
     'rof': [0.5, 0.4, 0.2],
     'vel': [[(150, 50), (150, -50)],
             [(150, 50), (150, -50)],
             [(150, 50), (150, -50), (150, 55), (150, -55),
              (150, 60), (150, -60)]],
     'damage': [20, 30, 30]},
    {'fname': ['water.png', 'water.png', 'water.png'],
     'rof': [0.25, 0.15, 0.05],
     'vel': [[(200, 0), (-200, 0)],
             [(300, 0), (-300, 0), (0, 300), (0, -300)],
             [(400, 0), (-400, 0), (0, 400), (0, -400),
              (200, 200), (-200, 200), (200, -200), (-200, -200)]],
     'damage': [20, 20, 20]},
    {'fname': ['emerald1.png', 'emerald2.png', 'emerald2.png'],
     'rof': [0.5, 0.5, 0.25],
     'vel': [[(0, -100), (0, 100)],
             [(0, -200), (0, 200)],
             [(0, -200), (0, 200),
              (0, -200), (0, 200),
              (0, -200), (0, 200)]],
     'damage': [30, 60, 60]}
    ]
                
